Debian Bug report logs - #482680
ITP: calibre -- e-book library management application

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ori Avtalion <ori@avtalion.name>

Date: Sat, 24 May 2008 12:09:01 UTC

Owned by: "Miriam Ruiz" <miriam@debian.org>

Severity: wishlist

Fixed in version calibre/0.4.143+dfsg-1

Done: Miriam Ruiz <little_miry@yahoo.es>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#482680; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ori Avtalion <ori@avtalion.name>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ori Avtalion <ori@avtalion.name>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: calibre -- e-book library management application
Date: Sat, 24 May 2008 15:05:43 +0300
Package: wnpp
Severity: wishlist


* Package name    : calibre
  Version         : 0.4.58
  Upstream Author : Kovid Goyal <kovid at kovidgoyal net>
* URL             : http://calibre.kovidgoyal.net
* License         : GPL
  Programming Lang: Python
  Description     : e-book library management application

Calibre is an e-book library management application, that can also
interface with the Sony Reader devices (PRS-500 and PRS-505).

It also includes command line tools to convert various formats into the
proprietary Sony LRF format, the ability to periodically fetch news
feeds and upload to the device, and a GUI that allows easy access to
those features.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#482680; Package wnpp. (Wed, 24 Dec 2008 12:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Miriam Ruiz" <miriam@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 24 Dec 2008 12:03:02 GMT) Full text and rfc822 format available.

Message #10 received at 482680@bugs.debian.org (full text, mbox):

From: "Miriam Ruiz" <miriam@debian.org>
To: control@bugs.debian.org, 482680@bugs.debian.org
Subject: I'm packaging Calibre
Date: Wed, 24 Dec 2008 13:00:38 +0100
retitle 482680 ITP: calibre -- e-book library management application
owner 482680 "Miriam Ruiz" <miriam@debian.org>
thanks

I've temporarily put my packages in
http://users.alioth.debian.org/~miriam/calibre/

I plan to upload them to SID soon

Greetings,
Miry




Changed Bug title to `ITP: calibre -- e-book library management application' from `RFP: calibre -- e-book library management application'. Request was from "Miriam Ruiz" <miriam@debian.org> to control@bugs.debian.org. (Wed, 24 Dec 2008 12:03:03 GMT) Full text and rfc822 format available.

Owner recorded as "Miriam Ruiz" <miriam@debian.org>. Request was from "Miriam Ruiz" <miriam@debian.org> to control@bugs.debian.org. (Wed, 24 Dec 2008 12:03:04 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 09 Jan 2009 07:06:05 GMT) Full text and rfc822 format available.

Tags removed: pending Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sat, 28 Feb 2009 02:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Miriam Ruiz" <miriam@debian.org>:
Bug#482680; Package wnpp. (Mon, 16 Mar 2009 19:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@complete.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Miriam Ruiz" <miriam@debian.org>. (Mon, 16 Mar 2009 19:45:02 GMT) Full text and rfc822 format available.

Message #23 received at 482680@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: 482680@bugs.debian.org, ori@avtalion.name, miriam@debian.org, little_miry@yahoo.es, martin.pitt@ubuntu.com
Subject: Calibre 0.5.1 in my git tree
Date: Mon, 16 Mar 2009 14:43:57 -0500
Hi folks,

I updated the 0.4.125+dfsg packages to Calibre 0.5.1.  You can get the
result with

git clone git://git.debian.org/users/jgoerzen/calibre

(note - I am unsure if I got the non-DFSG-free components removed)

Do any of you intend to upload it to sid?



-- John




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Miriam Ruiz" <miriam@debian.org>:
Bug#482680; Package wnpp. (Mon, 16 Mar 2009 20:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <miriam@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Miriam Ruiz" <miriam@debian.org>. (Mon, 16 Mar 2009 20:12:02 GMT) Full text and rfc822 format available.

Message #28 received at 482680@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <miriam@debian.org>
To: John Goerzen <jgoerzen@complete.org>, 482680@bugs.debian.org
Cc: ori@avtalion.name, martin.pitt@ubuntu.com
Subject: Re: Bug#482680: Calibre 0.5.1 in my git tree
Date: Mon, 16 Mar 2009 21:09:50 +0100
2009/3/16 John Goerzen <jgoerzen@complete.org>:
> Hi folks,
>
> I updated the 0.4.125+dfsg packages to Calibre 0.5.1.  You can get the
> result with
>
> git clone git://git.debian.org/users/jgoerzen/calibre
>
> (note - I am unsure if I got the non-DFSG-free components removed)

Cool, I'll try to have a look at it as soon as I can.

You're of course welcome if you want to help with the package :)

> Do any of you intend to upload it to sid?

Yup, 0.4.143+dfsg-1 is currently waiting in the NEW queue [1] :)

Greetings,
Miry

[1] http://ftp-master.debian.org/new.html




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Miriam Ruiz" <miriam@debian.org>:
Bug#482680; Package wnpp. (Tue, 17 Mar 2009 11:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Miriam Ruiz" <miriam@debian.org>. (Tue, 17 Mar 2009 11:15:02 GMT) Full text and rfc822 format available.

Message #33 received at 482680@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: John Goerzen <jgoerzen@complete.org>
Cc: 482680@bugs.debian.org, ori@avtalion.name, miriam@debian.org, little_miry@yahoo.es, martin.pitt@ubuntu.com
Subject: Re: Calibre 0.5.1 in my git tree
Date: Tue, 17 Mar 2009 12:13:00 +0100
Hello John,

John Goerzen [2009-03-16 14:43 -0500]:
> I updated the 0.4.125+dfsg packages to Calibre 0.5.1.  You can get the
> result with

Can you please send a debdiff? Calibre is maintained in bzr.

> (note - I am unsure if I got the non-DFSG-free components removed)

Just update debian/changelog and call debian/rules get-orig-source,
that will DTRT.

> Do any of you intend to upload it to sid?

As Miriam already said, it's waiting in NEW.

Thanks!

Martin
-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Miriam Ruiz" <miriam@debian.org>:
Bug#482680; Package wnpp. (Tue, 17 Mar 2009 13:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@complete.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Miriam Ruiz" <miriam@debian.org>. (Tue, 17 Mar 2009 13:09:02 GMT) Full text and rfc822 format available.

Message #38 received at 482680@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: Martin Pitt <mpitt@debian.org>
Cc: 482680@bugs.debian.org, ori@avtalion.name, miriam@debian.org, little_miry@yahoo.es, martin.pitt@ubuntu.com
Subject: Re: Calibre 0.5.1 in my git tree
Date: Tue, 17 Mar 2009 08:07:55 -0500
Martin Pitt wrote:
> Hello John,
> 
> John Goerzen [2009-03-16 14:43 -0500]:
>> I updated the 0.4.125+dfsg packages to Calibre 0.5.1.  You can get the
>> result with
> 
> Can you please send a debdiff? Calibre is maintained in bzr.

I'm not familiar with debdiff, but I can look into it later today.

In the meantime, I suspect one of these commands may do what you want:

git branch upstream origin/upstream # tell git about upstream

git diff debian/0.4.125+dfsg-1  # diff from previous deb version
git diff upstream               # diff from 0.5.1-1 upstream
git diff 87150                  # the changes post-0.5.1-1 merge
git log --stat                  # my changes with commit msgs
git log -p                      # my changes with individual diffs

Let me know if that helps.  If not, I'll investigate debdiff.

> 
>> (note - I am unsure if I got the non-DFSG-free components removed)
> 
> Just update debian/changelog and call debian/rules get-orig-source,
> that will DTRT.
> 
>> Do any of you intend to upload it to sid?
> 
> As Miriam already said, it's waiting in NEW.
> 
> Thanks!
> 
> Martin





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Miriam Ruiz" <miriam@debian.org>:
Bug#482680; Package wnpp. (Tue, 17 Mar 2009 13:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@complete.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Miriam Ruiz" <miriam@debian.org>. (Tue, 17 Mar 2009 13:21:02 GMT) Full text and rfc822 format available.

Message #43 received at 482680@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: Martin Pitt <mpitt@debian.org>
Cc: 482680@bugs.debian.org, ori@avtalion.name, miriam@debian.org, little_miry@yahoo.es, martin.pitt@ubuntu.com
Subject: Re: Calibre 0.5.1 in my git tree
Date: Tue, 17 Mar 2009 08:19:23 -0500
Martin Pitt wrote:
> Hello John,
> 
> John Goerzen [2009-03-16 14:43 -0500]:
>> I updated the 0.4.125+dfsg packages to Calibre 0.5.1.  You can get the
>> result with
> 
> Can you please send a debdiff? Calibre is maintained in bzr.

I tried it:

~/work$ debdiff calibre*dsc > calibre.debdiff
dpkg-source: warning: extracting unsigned source package
(/home/jgoerzen/work/calibre_0.5.1-1.dsc)
debdiff: fatal error at line 586:
Failed to execute diff -Nru '/tmp/LE3fq4Zrtg/calibre-0.4.125+dfsg'
'/tmp/K1shAaNjDn/calibre-0.5.1' > /tmp/debdiffTwKqUY.diff!

I have no idea why it didn't like it.

I can mail you the result of one of my git commands, which I very much
suspect will produce the same output, if you like.

> 
>> (note - I am unsure if I got the non-DFSG-free components removed)
> 
> Just update debian/changelog and call debian/rules get-orig-source,
> that will DTRT.
> 
>> Do any of you intend to upload it to sid?
> 
> As Miriam already said, it's waiting in NEW.
> 
> Thanks!
> 
> Martin





Reply sent to Miriam Ruiz <little_miry@yahoo.es>:
You have taken responsibility. (Sun, 29 Mar 2009 13:18:06 GMT) Full text and rfc822 format available.

Notification sent to Ori Avtalion <ori@avtalion.name>:
Bug acknowledged by developer. (Sun, 29 Mar 2009 13:18:06 GMT) Full text and rfc822 format available.

Message #48 received at 482680-close@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: 482680-close@bugs.debian.org
Subject: Bug#482680: fixed in calibre 0.4.143+dfsg-1
Date: Sun, 29 Mar 2009 13:12:58 +0000
Source: calibre
Source-Version: 0.4.143+dfsg-1

We believe that the bug you reported is fixed in the latest version of
calibre, which is due to be installed in the Debian FTP archive:

calibre-bin_0.4.143+dfsg-1_amd64.deb
  to pool/main/c/calibre/calibre-bin_0.4.143+dfsg-1_amd64.deb
calibre_0.4.143+dfsg-1.diff.gz
  to pool/main/c/calibre/calibre_0.4.143+dfsg-1.diff.gz
calibre_0.4.143+dfsg-1.dsc
  to pool/main/c/calibre/calibre_0.4.143+dfsg-1.dsc
calibre_0.4.143+dfsg-1_all.deb
  to pool/main/c/calibre/calibre_0.4.143+dfsg-1_all.deb
calibre_0.4.143+dfsg.orig.tar.gz
  to pool/main/c/calibre/calibre_0.4.143+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 482680@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Miriam Ruiz <little_miry@yahoo.es> (supplier of updated calibre package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 08 Mar 2009 18:01:24 +0100
Source: calibre
Binary: calibre calibre-bin
Architecture: source all amd64
Version: 0.4.143+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Miriam Ruiz <little_miry@yahoo.es>
Changed-By: Miriam Ruiz <little_miry@yahoo.es>
Description: 
 calibre    - e-book converter and library management
 calibre-bin - e-book converter and library management
Closes: 482680
Changes: 
 calibre (0.4.143+dfsg-1) unstable; urgency=low
 .
   [ Martin Pitt ]
   * Initial release, packaging by Miriam Ruiz <miriam@debian.org> and
     Martin Pitt <martin.pitt@ubuntu.com>. Closes: #482680
Checksums-Sha1: 
 65692e42ff5083e32cae6653e0f0b4e754e3b62b 1487 calibre_0.4.143+dfsg-1.dsc
 6aaa48cc3c985c4640ac7c9c22b8280e0794d81d 6878094 calibre_0.4.143+dfsg.orig.tar.gz
 bfdb14a84855813f368eacafe0ca264c123f652f 14980 calibre_0.4.143+dfsg-1.diff.gz
 a6743e72ee4e4e2431560807c1844f656a30c04d 7389970 calibre_0.4.143+dfsg-1_all.deb
 c88d1bbf2ab434526a45b993b18e8f506a1efb58 67366 calibre-bin_0.4.143+dfsg-1_amd64.deb
Checksums-Sha256: 
 113015b432f1e0109f4c38c87ae20fcaac3a1ab68bc8b4f3f96090798af9d038 1487 calibre_0.4.143+dfsg-1.dsc
 dc5e6b689fef6b5efc390f894181c58095daa7604715cddca502b3ae551e1118 6878094 calibre_0.4.143+dfsg.orig.tar.gz
 a008aa64c60046b11a6a2bbb6bffe9a2a11ce512e9f82ba75aebfdae0080a43e 14980 calibre_0.4.143+dfsg-1.diff.gz
 9a90c54249b143e7c7f0474cac1e2f7635261cd99d2c9d219380814ef1eff76b 7389970 calibre_0.4.143+dfsg-1_all.deb
 16f2731f6fb2774286626cc16373fc3d15d4fa65cdc40a9d3fe94c61d290662d 67366 calibre-bin_0.4.143+dfsg-1_amd64.deb
Files: 
 7ee2034b97612a1c6cafaa3c6d5e486e 1487 text extra calibre_0.4.143+dfsg-1.dsc
 862aea424610c6b6b059728f87e7547a 6878094 text extra calibre_0.4.143+dfsg.orig.tar.gz
 e229969342dfbdad1cac1ffe8d395a97 14980 text extra calibre_0.4.143+dfsg-1.diff.gz
 c2add05d6efdff9891f7c1bd6f4971ac 7389970 text extra calibre_0.4.143+dfsg-1_all.deb
 0ece9e24d35a39f836b08091dd08524c 67366 text extra calibre-bin_0.4.143+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkm0VIEACgkQfbltLjbuCGHRXACfVT2d27fHLCvYfloByJzep1f7
ZU4AoMm3hqYd2YHgNZL4ImF2aLY0pGFb
=SpZ6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 27 Apr 2009 07:38:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:36:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.